Package org.eclipse.jface.text.source

## Interface AnnotationPainter.ITextStyleStrategy

All Known Implementing Classes:
  `AnnotationPainter.BoxStrategy`, `AnnotationPainter.HighlightingStrategy`, `AnnotationPainter.UnderlineStrategy`

Enclosing class:
  AnnotationPainter

    public static interface AnnotationPainter.ITextStyleStrategy

A text style painting strategy draws the decoration for an annotation onto the text widget by applying a `TextStyle` on a given `StyleRange`.

Since:
  3.4

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `applyTextStyle​(StyleRange styleRange, Color annotationColor)` Applies a text style on the given `StyleRange`.

### Method Detail

#### applyTextStyle

    void applyTextStyle​(StyleRange styleRange,
                        Color annotationColor)

Applies a text style on the given `StyleRange`.

Parameters:
  `styleRange` - the style range on which to apply the text style
  `annotationColor` - the color of the annotation